import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ProjectCardConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/project_card#column_id ProjectCard#column_id}
    */
    readonly columnId: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/project_card#note ProjectCard#note}
    */
    readonly note: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/r/project_card github_project_card}
*/
export declare class ProjectCard extends cdktf.TerraformResource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/r/project_card github_project_card} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options ProjectCardConfig
    */
    constructor(scope: Construct, id: string, config: ProjectCardConfig);
    get cardId(): number;
    private _columnId?;
    get columnId(): string;
    set columnId(value: string);
    get columnIdInput(): string | undefined;
    get etag(): string;
    get id(): string;
    private _note?;
    get note(): string;
    set note(value: string);
    get noteInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
